% Simple sample with open, read DLL-Version, get number of connected 
% IO-Warrior and close

disp('Sample for IO-Warrior')
disp('---------------------')

loadlibrary('iowkit.dll', @iowarrior, 'alias', 'iowkit');
if(libisloaded('iowkit'))
    
    handle = 0;
    numdevs = 0;
    str = '';    
    
    % Output iowkit.dll version
    str = calllib('iowkit','IowKitVersion');
    fprintf('iowkit.dll version: %s\n', str) 
    
    % Show list of functions
    %libfunctionsview iowkit
    
    % Open IO-Warrior
    disp('Open IO-Warrior')
    calllib('iowkit', 'IowKitOpenDevice', handle);
    
    % Show numbers of connected IO-Warrior
    numdevs = calllib('iowkit', 'IowKitGetNumDevs');
    fprintf('Numbers of connected IO-Warrior: %d\n', numdevs) 
    
   
    disp('---------------------')
    disp('Close IO-Warrior')
    %Close IO-Warrior DLL
    calllib('iowkit', 'IowKitCloseDevice', handle)
end

if(libisloaded('iowkit'))
    unloadlibrary('iowkit')
end
